Bug 220725 - security/clamfs: fails to build with boost 1.65
Summary: security/clamfs: fails to build with boost 1.65
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://github.com/boostorg/admin/iss...
Keywords: needs-patch
Depends on:
Blocks: 220714
  Show dependency treegraph
 
Reported: 2017-07-14 05:46 UTC by Jan Beich
Modified: 2018-03-03 23:14 UTC (History)
2 users (show)

See Also:


Attachments
svn-diff-clamfs (1.47 KB, patch)
2018-01-31 19:40 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-07-14 05:46:28 UTC
In file included from rlog.cxx:29:
In file included from ./rlog.hxx:44:
./config.hxx:52:17: error: expected namespace name
using namespace tr1;
                ^
1 error generated.

http://sprunge.us/PYBN
Comment 1 Mageirias Anastasios 2017-07-14 06:25:42 UTC
I'll take care of that
Comment 2 Jan Beich freebsd_committer 2017-07-14 22:11:15 UTC
Thank you! If not obvious bug 220714 has a link to preliminary patch for Boost 1.65 update and bug 220715 has an example fix.
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-31 19:40:16 UTC
Created attachment 190231 [details]
svn-diff-clamfs

I am not sure, but does this simple patch right?
Comment 4 commit-hook freebsd_committer 2018-03-03 23:12:26 UTC
A commit references this bug:

Author: jbeich
Date: Sat Mar  3 23:12:06 UTC 2018
New revision: 463540
URL: https://svnweb.freebsd.org/changeset/ports/463540

Log:
  security/clamfs: unbreak with boost 1.65

  PR:		220725
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Approved by:	maintainer timeout (7 months)

Changes:
  head/security/clamfs/Makefile
  head/security/clamfs/files/patch-src_config.hxx
Comment 5 commit-hook freebsd_committer 2018-03-03 23:13:30 UTC
A commit references this bug:

Author: jbeich
Date: Sat Mar  3 23:13:27 UTC 2018
New revision: 463541
URL: https://svnweb.freebsd.org/changeset/ports/463541

Log:
  MFH: r463540

  security/clamfs: unbreak with boost 1.65

  PR:		220725
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Approved by:	maintainer timeout (7 months)
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q1/
  branches/2018Q1/security/clamfs/Makefile
  branches/2018Q1/security/clamfs/files/patch-src_config.hxx
Comment 6 Jan Beich freebsd_committer 2018-03-03 23:14:41 UTC
Thanks. Landed.